### Enumeration

# Gtk License

#### Declaration

    enum Gtk.License

#### Description [src]

The type of license for an application.

This enumeration can be expanded at later date.

#### Members

Name | Description
--- | ---
`GTK_LICENSE_UNKNOWN` | No license specified.
`GTK_LICENSE_CUSTOM` | A license text is going to be specified by the developer.
`GTK_LICENSE_GPL_2_0` | The GNU General Public License, version 2.0 or later.
`GTK_LICENSE_GPL_3_0` | The GNU General Public License, version 3.0 or later.
`GTK_LICENSE_LGPL_2_1` | The GNU Lesser General Public License, version 2.1 or later.
`GTK_LICENSE_LGPL_3_0` | The GNU Lesser General Public License, version 3.0 or later.
`GTK_LICENSE_BSD` | The BSD standard license.
`GTK_LICENSE_MIT_X11` | The MIT/X11 standard license.
`GTK_LICENSE_ARTISTIC` | The Artistic License, version 2.0.
`GTK_LICENSE_GPL_2_0_ONLY` | The GNU General Public License, version 2.0 only.
`GTK_LICENSE_GPL_3_0_ONLY` | The GNU General Public License, version 3.0 only.
`GTK_LICENSE_LGPL_2_1_ONLY` | The GNU Lesser General Public License, version 2.1 only.
`GTK_LICENSE_LGPL_3_0_ONLY` | The GNU Lesser General Public License, version 3.0 only.
`GTK_LICENSE_AGPL_3_0` | The GNU Affero General Public License, version 3.0 or later.
`GTK_LICENSE_AGPL_3_0_ONLY` | The GNU Affero General Public License, version 3.0 only.
`GTK_LICENSE_BSD_3` | The 3-clause BSD licence.
`GTK_LICENSE_APACHE_2_0` | The Apache License, version 2.0.
`GTK_LICENSE_MPL_2_0` | The Mozilla Public License, version 2.0.